import { useContext } from "react";
import { CallContext, CallContextValue } from "./CallProvider";

/**
 * Хук предоставляет функции для работы с звонками, такие как инициирование звонка, принятие звонка, завершение звонка и т.д.
 * Он может использоваться в компонентах, связанных с звонками, для управления состоянием звонков и взаимодействия с сервером.
 */
export function useCalls() : CallContextValue {
    const context = useContext(CallContext);
    if (!context) {
        throw new Error("useCalls must be used within a CallProvider");
    }

    return context;
}